HP cp1518ni Black Bands

Asked by Richard Laager on 2010-03-24

The instructions say that end users should use the "Ask a question" feature. My issue was already reported here, with no developer comment: https://bugs.launchpad.net/hplip/+bug/539354

Question information

Language:
English Edit question
Status:
Open
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2010-03-26
Last reply:
2010-03-26
anup (osta6161) said : #1

Does the problem exists with hpcups pcl3 ppd?

postscript is also the recommended ppd for this printer model.

Thanks for the cooperation!

A

Richard Laager (rlaager) said : #2

Yes, according to the hp-check.log file, I was using hpcups pcl3. I also tried with the only other choice listed for that model, which was hpijs pcl3. There is no postscript PPD listed with that model. As noted in the bug report, I switched to Generic Postscript Printer and it works fine. Why doesn't a postscript PPD show up for this model, if that's what's recommended?

anup (osta6161) said : #3

From your log the ppd files must have been copied to below path.
ppd=/usr/share/ppd/hplip/HP

Is below printer model postscript file not existing?
hp-color_laserjet_cp11518ni-ps.ppd

adding the printer via hp-setup command should have shown the ppd's.

Thanks for the cooperation!

A

Richard Laager (rlaager) said : #4

This is all sorts of weird. The Ubuntu hplip source package includes a file named hp-color_laserjet_cp1518ni-pcl3.ppd.gz, but there's no PPD containing 1518 in the name at all in the hplip-data binary package. Then there's this:

rlaager@...:/usr/share/ppd/hplip/HP$ grep -r 1518 .
./hp-color_laserjet_cp1514n-ps.ppd:*Product: "(HP Color LaserJet CP1518ni)"
./hp-color_laserjet_cp1514n-ps.ppd:*Product: "(Hewlett-Packard HP Color LaserJet CP1518ni)"

So that's odd... Where is my cp1518ni PPD coming from then? And why does the cp1514n PPD reference the cp1518ni model? But wait, there's more. It doesn't reference the 1514 model at all:
rlaager@...:/usr/share/ppd/hplip/HP$ grep -r 1514 hp-color_laserjet_cp1514n-ps.ppd
rlaager@...:/usr/share/ppd/hplip/HP$

But the PPD in the source package seems reasonable:
rlaager@...:~/hplip-3.10.2/ppd/hpcups$ zgrep 1518 hp-color_laserjet_cp1514n-pcl3.ppd.gz
rlaager@...:~/hplip-3.10.2/ppd/hpcups$ zgrep 1514 hp-color_laserjet_cp1514n-pcl3.ppd.gz | wc -l
8
rlaager@...:~/hplip-3.10.2/ppd/hpcups$

The source and the installed binary packages are both 3.10.2-1ubuntu4. Is this a packaging bug?

Richard Laager (rlaager) said : #5

I just realized the installed 1514 file is a Postscript PPD, while the one in the source tree is a PCL. So where on earth are these things coming from?

Richard Laager (rlaager) said : #6

This is interesting:
rlaager@...:~/hplip-3.10.2/prnt/ps$ md5sum <(gzip -dc hp-color_laserjet_cp1514n-ps.ppd.gz) <(gzip -dc hp-color_laserjet_cp1518ni-ps.ppd.gz)
8baa1de3ebddbabf114ff43f67ee676d /dev/fd/63
8baa1de3ebddbabf114ff43f67ee676d /dev/fd/62

Can you help with this problem?

Provide an answer of your own, or ask Richard Laager for more information if necessary.

To post a message you must log in.